Bug 165552 - Review Request: banner - Prints a short string to the console in very large letters
Review Request: banner - Prints a short string to the console in very large l...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
: 165690 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 538076
  Show dependency treegraph
Reported: 2005-08-10 08:56 EDT by Oliver Falk
Modified: 2009-11-20 03:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-22 07:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2005-08-10 08:56:51 EDT
Spec Name: banner.spec
SRPM Name: banner-1.3.1-1.src.rpm
Classic-style banner program similar to the one found in Solaris or AIX.
The banner program prints a short string to the console in very large
letters. Also a good example of a very small autoconf-enabled program.
Written in ANSI C.
Comment 1 Oliver Falk 2005-08-10 09:21:46 EDT
Everything seems fine, except the License. Are you sure about 'GPL or Artistic'?
I believe it's only Artistic.
Comment 2 Oliver Falk 2005-08-10 09:23:25 EDT
Shit, wrong bug. Forget Comment #1.
Comment 3 Paul Howarth 2005-08-17 06:45:32 EDT

- rpmlint not clean - see NeedsWork below
- naming of package and spec meets guidelines
- package meets guidelines
- license is GPL, text included in package
- spec file written in English and is legible
- source matches upstream
- package builds ok in FC4 and in mock for devel (i386)
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership issues
- no duplicate files
- permissions are fine
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime


- the Group: tag of "Toys" is not from the list in /usr/share/doc/rpm-*/GROUPS
(this is the cause of the rpmlint not being clean). I suggest
"Amusements/Graphics" or "Applications/Text" (probably the latter) instead.


- I recall using a "banner" program on an old SunOS box, which printed text in
*very* large letters indeed, such that they could be printed on roll or
fold-feed paper and be visible from the other end of a large office. Those were
the days...

- I'd include ChangeLog as %doc

- The last two sentences in %description about it being a good example of a very
small autoconf-enabled program, written in ANSI C, are probably not of interest
to prospective users of the package. Personally I'd drop them.
Comment 4 Paul Howarth 2005-08-17 06:50:51 EDT
*** Bug 165690 has been marked as a duplicate of this bug. ***
Comment 6 Paul Howarth 2005-08-22 05:55:50 EDT
Comment 7 Oliver Falk 2005-08-22 06:55:28 EDT
cvs imported. What is the correct bugzilla status now? NEXTRELEASE?
Comment 8 Paul Howarth 2005-08-22 07:02:49 EDT
See http://fedoraproject.org/wiki/Extras/NewPackageProcess

When your builds are done, close the bug NEXTRELEASE.
Comment 9 Christian Iseli 2006-10-18 05:12:25 EDT
Normalize summary field for easy parsing
Comment 10 Oliver Falk 2009-11-18 09:00:36 EST
Package Change Request
Package Name: banner
New Branches: EL-5
Owners: jima oliver
Comment 11 Kevin Fenzi 2009-11-18 19:45:34 EST
cvs done.
Comment 12 Oliver Falk 2009-11-19 06:54:36 EST
Package Change Request
Package Name: banner
New Branches: EL-4
Owners: jima oliver

Sorry. Forgot EL-4 :-(
Comment 13 Jason Tibbitts 2009-11-19 18:15:28 EST
I can't find any indication of an ack from the current package owner, but I guess this was already branched for EL-5 so an EL-4 branch probably isn't going to hurt anything.  In the future, please follow EPEL policy when requesting EPEL branches of existing packages that you do not own.  http://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL

CVS done.
Comment 14 Oliver Falk 2009-11-20 03:30:20 EST
See comment in #537805  :-) The same is true for this...

Note You need to log in before you can comment on or make changes to this bug.